import { ReactNode } from 'react';
import { TraceDirection } from '../../../reducer/Reducer';
interface SpectrumPhaseTraceProps extends React.SVGAttributes<SVGGElement> {
    data: {
        x: Float64Array;
        re: Float64Array;
    };
    position: {
        x: number;
        y: number;
    };
    color: string;
    direction: TraceDirection;
    children?: ReactNode;
}
export declare function SpectrumPhaseTrace(props: SpectrumPhaseTraceProps): import("react/jsx-runtime").JSX.Element;
export {};
