import { CSSProperties, ReactNode } from 'react';
interface MouseTrackerData {
    x: number;
    y: number;
}
export declare const MouseContext: import("react").Context<MouseTrackerData | null>;
export declare function useMouseTracker(): MouseTrackerData | null;
interface MouseTrackerProps {
    children: ReactNode;
    className?: string;
    style?: CSSProperties;
    noPropagation?: boolean;
}
export declare function MouseTracker({ children, className, style, noPropagation, }: MouseTrackerProps): import("react/jsx-runtime").JSX.Element;
export {};
