/// <reference types="react" />
import { PreferencesState, WorkspaceWithSource } from '../reducer/preferences/preferencesReducer';
export interface PreferencesContextData extends PreferencesState {
    isCurrentWorkspaceReadOnly: boolean;
    current: WorkspaceWithSource;
}
export declare const PreferencesContext: import("react").Context<PreferencesState>;
export declare const PreferencesProvider: import("react").Provider<PreferencesState>;
export declare function usePreferences(): PreferencesContextData;
export declare function useWorkspacesList(): any[];
