import { jsx as _jsx } from "react/jsx-runtime";
function renderIsotope(value) {
    return value.replaceAll(/(?<isotope>\d+)/g, '<sup>$<isotope></sup>');
}
function IsotopesViewer({ value = '', ...othersProps }) {
    return (_jsx("div", { ...othersProps, 
        // eslint-disable-next-line react/no-danger
        dangerouslySetInnerHTML: {
            __html: renderIsotope(value),
        } }));
}
export default IsotopesViewer;
