import React, { CSSProperties, ReactNode } from 'react';
export interface LabelStyle {
    label?: CSSProperties;
    wrapper?: CSSProperties;
    container?: CSSProperties;
}
interface LabelProps extends Omit<React.LabelHTMLAttributes<HTMLLabelElement>, 'style'> {
    title: string;
    renderTitle?: (title: string) => ReactNode;
    shortTitle?: string;
    children: ReactNode;
    className?: string;
    style?: LabelStyle;
    description?: string;
}
export default function Label(props: LabelProps): import("@emotion/react/jsx-runtime").JSX.Element;
export {};
