import { CSSProperties } from 'react';
export interface NumberInputProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'style'> {
    pattern?: string;
    name?: string;
    step?: string;
    min?: number | string;
    max?: number | string;
    value?: number;
    style?: CSSProperties;
    autoSelect?: boolean;
}
declare const NumberInput: import("react").ForwardRefExoticComponent<NumberInputProps & import("react").RefAttributes<HTMLInputElement>>;
export default NumberInput;
