/** @jsxImportSource @emotion/react */
import { CSSProperties } from 'react';
import { UseSortByOptions } from 'react-table';
interface ReactTableFlexLayoutProps {
    data: any;
    columns: any;
    onMouseDown?: () => void;
    style?: CSSProperties;
}
export interface TableOptions<D extends Record<string, unknown>> extends UseSortByOptions<D> {
}
declare function ReactTableFlexLayout({ data, columns, onMouseDown, style, }: ReactTableFlexLayoutProps): import("@emotion/react/jsx-runtime").JSX.Element;
export default ReactTableFlexLayout;
