import { CSSProperties, MouseEvent, ReactNode } from 'react';
import { Column } from '../ReactTable';
export type CustomColumn<T extends object> = Column<T> & {
    index: number;
};
export type ControlCustomColumn<T extends object> = CustomColumn<T> & {
    showWhen: string;
};
export default function addCustomColumn<T extends object>(array: any, options: CustomColumn<T>): void;
interface CreateActionColumnOptions<T extends object> {
    onClick: (row: T | object, even?: MouseEvent<HTMLButtonElement>) => void;
    icon: ReactNode;
    style?: CSSProperties;
    index: number;
}
export declare function createActionColumn<T extends object>(options: CreateActionColumnOptions<T>): CustomColumn<T>;
export {};
