import { CSSProperties } from 'react';
export interface SelectProps extends Omit<React.SelectHTMLAttributes<HTMLSelectElement>, 'style' | 'onChange'> {
    onChange?: (element: string) => void;
    items: object[];
    defaultValue?: string | number | undefined;
    style?: CSSProperties;
    placeholder?: string;
    itemValueField?: string;
    itemTextField?: string;
    returnValue?: boolean;
    textRender?: (text: string) => string;
}
declare const Select: import("react").ForwardRefExoticComponent<SelectProps & import("react").RefAttributes<HTMLSelectElement>>;
export default Select;
