import { MenuItemProps } from '@blueprintjs/core';
import { ToolbarPopoverItemProps as BaseToolbarPopoverItemProps, ToolbarItemProps } from 'react-science/ui';
export interface ToolbarPopoverMenuItem extends MenuItemProps {
    data?: object;
}
interface ToolbarPopoverItemProps extends Omit<BaseToolbarPopoverItemProps, 'onClick' | 'content' | 'itemProps'>, ToolbarItemProps {
    options: ToolbarPopoverMenuItem[];
    onClick: (data?: object) => void;
}
export declare function ToolbarPopoverItem(props: ToolbarPopoverItemProps): import("react/jsx-runtime").JSX.Element;
export {};
