import { jsx as _jsx } from "react/jsx-runtime";
import { useField } from 'formik';
const styles = {
    color: 'red',
    margin: '0.5px',
};
function ErrorMessage({ style, ...props }) {
    const [, { error }] = useField(props);
    if (!error)
        return _jsx("div", {});
    return (_jsx("div", { children: _jsx("p", { style: { ...styles, ...style }, children: error }) }));
}
export default ErrorMessage;
