import { CSSProperties, ReactNode } from 'react';
import { CheckBoxProps } from '../CheckBox';
export interface FormikCheckBoxProps extends Omit<CheckBoxProps, 'style'> {
    name: string;
    label?: string;
    className?: string;
    reverse?: boolean;
    style?: {
        container?: CSSProperties;
        label?: CSSProperties;
        checkbox?: CSSProperties;
    };
    defaultValue?: any;
    renderLabel?: (label?: any) => ReactNode;
}
declare function FormikCheckBox(props: FormikCheckBoxProps): import("react/jsx-runtime").JSX.Element;
export default FormikCheckBox;
