import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { Field, useField } from 'formik';
import ErrorMessage from './ErrorMessage';
function SelectBox({ values, ...props }) {
    const [field] = useField(props);
    return values && values.length > 0 ? (_jsxs("div", { children: [_jsx(Field, { as: "select", ...field, ...props, children: values.map((value, i) => {
                    return (_jsx("option", { children: value }, i));
                }) }), _jsx(ErrorMessage, { ...props })] })) : null;
}
export default SelectBox;
