import { createContext, useContext } from 'react';
const AlertContext = createContext(null);
export const AlertProvider = AlertContext.Provider;
export function useAlert() {
    const context = useContext(AlertContext);
    if (!context) {
        throw new Error('useAlert should be mount into an AlertProvider');
    }
    return context;
}
