import { jsx as _jsx } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from '@emotion/react';
const styles = css `
  width: 40px;
  height: 40px;
  margin: 0 auto;

  ::after {
    content: ' ';
    display: block;
    width: 30px;
    height: 30px;
    margin-top: 10px;
    border-radius: 50%;
    border: 4px solid;
    border-color: #fff transparent;
    animation: ring-animation 1s linear infinite;
  }

  @keyframes ring-animation {
    0% {
      transform: rotate(0deg);
    }

    100% {
      transform: rotate(360deg);
    }
  }
`;
export default function ProgressIndicator() {
    return _jsx("div", { css: styles });
}
