import { CSSProperties, ReactNode } from 'react';
import { Position, Type, Transition as TransitionOption } from '../options';
interface ProviderProps {
    children: ReactNode;
    offset?: string;
    position?: Position;
    timeout?: number;
    type?: Type;
    transition?: TransitionOption;
    containerStyle?: CSSProperties;
    wrapperRef?: any;
    context?: {
        Provider?: any;
        Consumer?: any;
    };
}
declare function Provider({ children, wrapperRef, offset, position, timeout, type, transition, ...props }: ProviderProps): import("react/jsx-runtime").JSX.Element;
declare const _default: import("react").MemoExoticComponent<typeof Provider>;
export default _default;
