import { CSSProperties, ReactNode } from 'react';
interface AlertButtonOptions {
    handler: (e: React.MouseEvent) => void;
    text: string;
    style?: CSSProperties;
    preventClose?: boolean;
}
interface ConfirmationDialogProps {
    style?: CSSProperties;
    buttons: AlertButtonOptions[];
    onClose: () => void;
    message: ReactNode;
    render?: (data: {
        message: ReactNode;
        className: string;
    }) => ReactNode;
    id?: string;
    disableDefaultStyle?: boolean;
}
declare function ConfirmationDialog({ style, buttons, onClose, message, render, id, disableDefaultStyle, }: ConfirmationDialogProps): import("@emotion/react/jsx-runtime").JSX.Element;
export default ConfirmationDialog;
