import { DataXY } from 'cheminfo-types';
export declare enum XYReducerDomainAxis {
    XAxis = "XAxis",
    YAxis = "YAxis"
}
type XYReducerDomainAxisType = keyof typeof XYReducerDomainAxis;
export default function useXYReduce(domainAxis: XYReducerDomainAxisType): (data: {
    x: Float64Array;
    y: Float64Array;
}) => DataXY;
export {};
