import { ReactNode } from 'react';
import { MoleculesView, StateMoleculeExtended } from '../../../data/molecules/Molecule';
interface MoleculePanelHeaderProps {
    currentIndex: number;
    molecules: StateMoleculeExtended[];
    moleculesView: MoleculesView;
    onMoleculeIndexChange?: (index: number) => void;
    onOpenMoleculeEditor: () => void;
    renderSource?: 'moleculePanel' | 'predictionPanel';
    onClickPreferences?: () => void;
    onClickPastMolecule?: () => void;
    children?: ReactNode;
}
export default function MoleculePanelHeader({ currentIndex, molecules, moleculesView, onMoleculeIndexChange, onOpenMoleculeEditor, renderSource, onClickPreferences, onClickPastMolecule, children, }: MoleculePanelHeaderProps): import("react/jsx-runtime").JSX.Element;
export {};
