import { WorkSpacePanelPreferences } from 'nmr-load-save';
import { Info1D } from 'nmr-processing';
import { CSSProperties } from 'react';
import { TableContextMenuProps } from '../../elements/ReactTable/ReactTable';
import { RangeData } from './hooks/useMapRanges';
interface RangesTableRowProps extends TableContextMenuProps {
    rowData: any;
    onUnlink: (a: any, b?: any) => void;
    preferences: WorkSpacePanelPreferences['ranges'];
    info: Info1D;
}
export interface BaseRangeColumnProps {
    row: RangeData;
    format: string;
}
export interface OnHoverEvent {
    onHover: {
        onMouseEnter: () => void;
        onMouseLeave: () => void;
    };
}
export interface RowSpanTags {
    rowSpanTags: {
        rowSpan: any;
        style: CSSProperties;
    };
}
export type RangeColumnProps = BaseRangeColumnProps & OnHoverEvent & RowSpanTags;
declare function RangesTableRow({ rowData, onUnlink, onContextMenuSelect, contextMenu, preferences, info, }: RangesTableRowProps): import("@emotion/react/jsx-runtime").JSX.Element;
export default RangesTableRow;
