import { SeriesPoint } from 'react-plot';
interface PlotData {
    positive: SeriesPoint[];
    negative: SeriesPoint[];
}
interface PlotChartPros {
    data: {
        sanPlot: PlotData;
        lines: PlotData;
    };
    sign: 'positive' | 'negative';
    color: string;
    yLogBase: number;
    hideHeading?: boolean;
}
export default function PlotChart({ data, sign, color, yLogBase, hideHeading, }: PlotChartPros): import("react/jsx-runtime").JSX.Element;
export {};
