import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Formik } from 'formik';
import FormikColorPicker from '../../../../elements/formik/FormikColorPicker';
import FormikOnChange from '../../../../elements/formik/FormikOnChange';
import Spectrum1DHistogram from './Spectrum1DHistogram';
function Spectrum1DSetting({ data: SpectrumData, onSubmit, }) {
    return (_jsx(Formik, { initialValues: SpectrumData.display, onSubmit: onSubmit, children: _jsxs(_Fragment, { children: [_jsxs("div", { style: { display: 'flex', flexDirection: 'column', gap: '1.25rem' }, children: [_jsx("div", { style: { display: 'block', position: 'relative' }, children: _jsx(FormikColorPicker, { name: "color" }) }), _jsx(Spectrum1DHistogram, { color: "red", data: SpectrumData.data })] }), _jsx(FormikOnChange, { onChange: onSubmit })] }) }));
}
export default Spectrum1DSetting;
