import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo, useMemo } from 'react';
import PlotChart from './PlotChart';
import { processSnapPlot } from './processSnapPlot';
const yLogBase = 2;
function Spectrum2DHistogram({ color = 'red', data, }) {
    const processedData = useMemo(() => {
        return processSnapPlot('2D', data.rr, yLogBase);
    }, [data]);
    return (_jsxs("div", { children: [_jsx("div", { style: { textAlign: 'center', paddingBottom: 5, paddingTop: 5 }, children: "San Plot" }), _jsxs("div", { style: {
                    borderTop: '1px solid #ededed',
                    marginTop: '10px',
                    paddingTop: '10px',
                    display: 'flex',
                    flexDirection: 'row',
                }, children: [_jsx(PlotChart, { data: processedData, sign: "positive", color: color, yLogBase: yLogBase }), _jsx(PlotChart, { data: processedData, sign: "negative", color: color, yLogBase: yLogBase, hideHeading: true })] })] }));
}
export default memo(Spectrum2DHistogram);
