/** @jsxImportSource @emotion/react */
import { AssignmentsData, Axis } from '../../../assignment/AssignmentsContext';
import { ZoneData } from '../hooks/useMapZones';
export interface SignalAssignmentsColumnProps {
    rowData: ZoneData;
    assignment: AssignmentsData;
    highlight: {
        isActive: any;
    };
    onHover: () => void;
    onClick: (event: any, assignment: AssignmentsData, axis: Axis) => void;
    onUnlink: (event: any, flag: boolean, axis: Axis) => void;
    axis: Axis;
}
declare function SignalAssignmentsColumn({ rowData, assignment, highlight, onHover, onClick, onUnlink, axis, }: SignalAssignmentsColumnProps): import("@emotion/react/jsx-runtime").JSX.Element;
export default SignalAssignmentsColumn;
