import { Database } from 'nmr-load-save';
import { DatabaseNMREntry } from 'nmr-processing';
import { LocalDatabase } from '../../../data/data1d/database';
export type Databases = Array<LocalDatabase | Database>;
export interface DatabaseInnerProps {
    nucleus: string;
    selectedTool: string;
    databases: Databases;
    defaultDatabase: string;
}
export interface DatabaseSearchKeywords {
    solvent: string;
    searchKeywords: string;
}
export interface DataBaseSearchResultEntry {
    data: DatabaseNMREntry[];
    databases: Array<{
        key: string;
        value: string;
    }>;
    solvents: Array<{
        label: string;
        value: string;
    }>;
}
export default function PeaksPanel(): import("@emotion/react/jsx-runtime").JSX.Element;
