import { ToolbarItemProps } from 'react-science/ui';
import { DataBaseSearchResultEntry, DatabaseSearchKeywords, Databases } from './DatabasePanel';
interface DatabaseSearchOptionsProps {
    databases: Databases;
    defaultDatabase: string;
    keywords: DatabaseSearchKeywords;
    result: DataBaseSearchResultEntry;
    idCode?: string;
    total: number;
    onKeywordsChange: (k: Partial<DatabaseSearchKeywords>) => void;
    onSettingClick: ToolbarItemProps['onClick'];
    onStructureClick: ToolbarItemProps['onClick'];
    onDatabaseChange: (databaseKey: string) => void;
}
export declare function DatabaseSearchOptions({ databases, defaultDatabase, keywords, result, idCode, total, onKeywordsChange, onSettingClick, onStructureClick, onDatabaseChange, }: DatabaseSearchOptionsProps): import("react/jsx-runtime").JSX.Element;
export {};
