import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const styles = {
    groupContainer: {
        padding: '5px',
        borderRadius: '5px',
        margin: '10px 0px',
        backgroundColor: 'white',
    },
    header: {
        borderBottom: '1px solid #e8e8e8',
        paddingBottom: '5px',
        fontWeight: 'bold',
        color: '#4a4a4a',
        marginBottom: '10px',
        fontSize: '12px',
    },
};
export function PreferencesGroup({ children, header }) {
    return (_jsxs("div", { style: styles.groupContainer, children: [header &&
                (typeof header === 'string' ? (_jsx("p", { style: styles.header, children: header })) : (header(styles.header))), children] }));
}
