import { CSSProperties, ReactNode } from 'react';
import { ToolbarItemProps as BaseToolbarItemProps } from 'react-science/ui';
interface CustomToolbarItemProps {
    component: ReactNode;
}
export type ToolbarItemProps = BaseToolbarItemProps | CustomToolbarItemProps;
interface DefaultPanelHeaderProps {
    total?: number;
    counter?: number;
    deleteToolTip?: string;
    filterToolTip?: string;
    onDelete?: () => void;
    onFilter?: () => void;
    onSettingClick?: () => void;
    disableDelete?: boolean;
    children?: ReactNode;
    style?: CSSProperties;
    className?: string;
    leftButtons?: ToolbarItemProps[];
    rightButtons?: ToolbarItemProps[];
}
export declare function formatCounterLabel(counter?: number, total?: number): string;
declare function DefaultPanelHeader(props: DefaultPanelHeaderProps): import("react/jsx-runtime").JSX.Element;
export default DefaultPanelHeader;
