import { Draft } from 'immer';
import { SpectraData1D, SpectraData2D } from 'nmr-processing';
import { State } from '../Reducer';
import { ActionType } from '../types/ActionType';
type SetAutomaticAssignmentsAction = ActionType<'SET_AUTOMATIC_ASSIGNMENTS', {
    assignments: Array<SpectraData1D | SpectraData2D>;
}>;
export type AssignmentsActions = SetAutomaticAssignmentsAction;
declare function handleSetAutomaticAssignments(draft: Draft<State>, action: SetAutomaticAssignmentsAction): void;
export { handleSetAutomaticAssignments };
