import { Draft } from 'immer';
import { State } from '../Reducer';
import { ActionType } from '../types/ActionType';
type SetDimensionsAction = ActionType<'SET_DIMENSIONS', {
    width: number;
    height: number;
}>;
export type DimensionsActions = SetDimensionsAction;
declare function handleSetDimensions(draft: Draft<State>, action: SetDimensionsAction): void;
export { handleSetDimensions };
