import { ScaleLinear } from 'd3';
export declare const SET_X_SCALE = "SET_X_SCALE";
export declare const SET_Y_SCALE = "SET_Y_SCALE";
export declare const SET_SCALE = "SET_SCALE";
type ScaleLinearNumberFunction = (spectrumId?: number | null | string) => ScaleLinear<number, number, number>;
export interface ScaleState {
    scaleX: ScaleLinearNumberFunction | null;
    scaleY: ScaleLinearNumberFunction | null;
    shiftY: number;
}
export declare const scaleInitialState: ScaleState;
declare const scaleReducer: (base: {
    readonly scaleX: ScaleLinearNumberFunction | null;
    readonly scaleY: ScaleLinearNumberFunction | null;
    readonly shiftY: number;
}, action: any) => ScaleState;
export default scaleReducer;
