export interface CalibrateOptions {
    from: number;
    to: number;
    nbPeaks: number;
    targetX: number;
}
export interface GetReferenceShiftOptions extends CalibrateOptions {
    reference?: string;
}
/**
 *
 * @param {*} datum1D
 * @param {object} [options={}]
 * @param {number} [options.from]
 * @param {number} [options.to] Define the from zone where the reference is expected to be found
 * @param {number} [options.from]
 * @param {number} [options.nbPeaks]
 * @param {number} [options.targetX]
 * @param {string} [options.reference]
 */
export declare function getReferenceShift(datum1D: any, options: GetReferenceShiftOptions): number;
