import { Spectrum1D } from 'nmr-load-save';
import { Integrals } from 'nmr-processing';
export declare function initiateIntegrals(inputSpectrum: Partial<Spectrum1D>, spectrum: Spectrum1D, options: Integrals['options']): {
    values: never[];
    options: import("nmr-processing").SumOptions;
} & {
    values: {
        absolute: number;
        originalFrom: number;
        originalTo: number;
        from: number;
        to: number;
        id: string;
        integral: number;
        kind: string;
    }[];
};
