import { Spectrum1D } from 'nmr-load-save';
export interface ChangeRangeRelativeValueProps {
    id: string;
    value: number;
}
/**
 * Change Range relative value and re-calculate the relative values for the other ranges
 * @param {Spectrum1D} spectrum  spectrum 1d
 * @param {RangeProps} newRange
 */
export declare function changeRangeRelativeValue(spectrum: Spectrum1D, data: ChangeRangeRelativeValueProps): void;
