export type SpinSystemData = Array<Array<number | null>>;
export interface SpectrumSimulationOptions {
    data: SpinSystemData;
    options: {
        frequency: number;
        from: number;
        to: number;
        nbPoints: number;
        lineWidth: number;
    };
}
export declare const defaultSimulationOptions: SpectrumSimulationOptions;
export declare function getSpinSystems(): string[];
export declare function simulateSpectrum(spinSystem: string, options: SpectrumSimulationOptions): import("cheminfo-types").DataXY<import("cheminfo-types").DoubleArray>;
