import { NmrData2DFt } from 'cheminfo-types';
import { Info2D } from 'nmr-processing';
import { UsedColors } from '../../../types/UsedColors';
/**
 * calculate the missing projection
 */
export declare function getProjection(datum: NmrData2DFt['rr'], index: number): {
    x: Float64Array;
    re: Float64Array;
};
export declare function getMissingProjection(datum: NmrData2DFt['rr'], nucleus: string, datumInfo: Info2D, usedColors: UsedColors): import("nmr-load-save").Spectrum1D;
