import { Spectrum2D } from 'nmr-load-save';
export interface DetectionZonesOptions {
    selectedZone: {
        fromX: number;
        fromY: number;
        toX: number;
        toY: number;
    };
    thresholdFactor: number;
    tolerances?: number[];
    convolutionByFFT?: boolean;
    enhanceSymmetry?: boolean;
}
/**
 *
 * @param {object} options
 * @param {object} options.selectedZone
 * @param {number} options.selectedZone.fromX
 * @param {number} options.selectedZone.fromY
 * @param {number} options.selectedZone.toX
 * @param {number} options.selectedZone.toY
 * @param {number} options.thresholdFactor
 * @param {boolean} options.convolutionByFFT
 */
export declare function getDetectionZones(spectrum: Spectrum2D, options: DetectionZonesOptions): import("nmr-processing").NMRZoneWithID[];
