import merge from 'lodash/merge';
import { mapZones } from 'nmr-processing';
export function initiateZones(options, spectrum) {
    return merge({
        values: [],
        options: {
            sum: undefined,
            isSumConstant: true,
            sumAuto: true,
        },
    }, options.zones, {
        values: mapZones(options?.zones?.values || [], spectrum),
    });
}
