import { StateMolecule, StateMoleculeExtended } from './Molecule';
export declare function fromJSON(mols: StateMolecule[], reservedMolecules?: StateMolecule[]): StateMoleculeExtended[];
export declare function addMolfile(molecules: StateMoleculeExtended[], molfile: string): void;
export declare function setMolfile(molecules: StateMoleculeExtended[], currentMolecule: StateMolecule): void;
export declare function extractNumber(value: string): string | null;
export declare function extractLabelsNumbers(molecules: Array<Pick<StateMolecule, 'label'>>): number[];
export declare function getLabelNumber(reserveNumbers: number[]): number;
export declare function getMolecules(text: string): Promise<import("nmr-load-save").StateMolecule[]>;
