import { Spectrum, Spectrum1D, Spectrum2D } from 'nmr-load-save';
import { Range, Signal1D, Signal2D, Zone } from 'nmr-processing';
declare function findSpectrum(spectraData: Spectrum[], spectrumID: string, checkIsVisible: boolean): Spectrum | undefined;
declare function findSignal1D(spectrum: Spectrum1D, signalID: string): Signal1D | undefined;
declare function findSignal2D(spectrum: Spectrum2D, signalID: string): Signal2D | undefined;
declare function findRange(spectrum: Spectrum1D, signalID: string): Range | undefined;
declare function findZone(spectrum: Spectrum2D, signalID: string): Zone | undefined;
declare function findRangeOrZoneID(spectraData: Spectrum[], experimentID: string, signalID: string, checkIsVisible: boolean): string | undefined;
export { findRange, findRangeOrZoneID, findSignal1D, findSignal2D, findSpectrum, findZone, };
