import { NmrData2DFt, NmrData1D } from 'cheminfo-types';
export declare function calculateSanPlot<T extends '1D' | '2D'>(dimension: T, data: T extends '1D' ? NmrData1D : NmrData2DFt['rr']): {
    positive: number;
    negative: number;
    snr: number;
    sanplot: Record<string, import("cheminfo-types").DataXY<import("cheminfo-types").DoubleArray>>;
};
