import { useContext, createContext } from 'react';
const JGraphContext = createContext({
    scaleY: null,
    height: 0,
    maxValue: 0,
});
export const JGraphContextProvider = JGraphContext.Provider;
export function useJGraph() {
    const jGraphState = useContext(JGraphContext);
    if (!jGraphState.scaleY) {
        throw new Error('scale cannot be null');
    }
    return jGraphState;
}
