import { Spectrum1D } from 'nmr-load-save';
import { Range } from 'nmr-processing';
export interface TreeNode {
    x: number;
    parentX?: number;
    level: number;
    ratio: number;
}
export interface TreeNodes {
    rangeKey: string;
    signalKey: string;
    multiplicity?: string;
    nodes: TreeNode[];
    diaIDs?: string[];
    min: number;
    max: number;
}
export declare function generateTreeNodes(range: Range, spectrumData: Spectrum1D): TreeNodes[];
