interface ResolveGroupIntersectionProps {
    maxIteration?: number;
    groupMargin?: number;
}
interface GroupDataProps {
    threshold?: number;
    key: string;
}
interface ResolveIntersectionProps extends GroupDataProps, ResolveGroupIntersectionProps {
    width?: number;
    margin?: number;
}
interface GroupMeta {
    groupWidth: number;
    groupMidX: number;
    groupStartX: number;
    groupEndX: number;
    id: string;
}
interface ResolveData<T> {
    group: T[];
    meta: GroupMeta;
}
export declare function resolve<T>(data: T[], options: ResolveIntersectionProps): Array<ResolveData<T>>;
export {};
