import { AssignmentState, Axis } from '../AssignmentsContext';
interface RemoveAction {
    ids: string[];
    atomID?: string;
    axis: Axis;
}
interface AssignmentRemoveOptions extends Omit<RemoveAction, 'ids'> {
    id: string;
}
export declare function removeAssignment(state: AssignmentState, options: AssignmentRemoveOptions): void;
export default function removeAssignments(state: AssignmentState, action: RemoveAction): {
    assignments: import("../AssignmentsContext").Assignments;
    activated: import("../AssignmentsContext").AssignmentAction | null;
    highlighted: import("../AssignmentsContext").AssignmentAction | null;
};
export {};
