/// <reference types="react" />
import { ScaleState } from '../reducer/scaleReducer';
export declare const scaleContext: import("react").Context<ScaleState>;
export declare const ScaleProvider: import("react").Provider<ScaleState>;
export declare function useScale(): ScaleState;
type CheckedScaleState = {
    [key in keyof ScaleState]: Exclude<ScaleState[key], null>;
};
export declare function useScaleChecked(): CheckedScaleState;
export {};
