import { CSSProperties, ReactNode } from 'react';
export interface ActiveButtonProps {
    /**
     * The state of the button
     */
    value: boolean;
    popupTitle: string;
    popupPlacement: string;
    style?: CSSProperties;
    onClick: (value: boolean) => void;
    disabled?: boolean;
    children: ReactNode;
    className?: string;
}
declare function ActiveButton({ children, style, onClick, popupTitle, popupPlacement, disabled, className, value, }: ActiveButtonProps): import("@emotion/react/jsx-runtime").JSX.Element;
declare const _default: import("react").MemoExoticComponent<typeof ActiveButton>;
export default _default;
