import { CSSProperties, InputHTMLAttributes, ReactNode } from 'react';
interface ButtonToolTipProps extends Omit<InputHTMLAttributes<HTMLButtonElement>, 'type'> {
    popupTitle?: string;
    popupPlacement?: string;
    style?: CSSProperties;
    children?: ReactNode;
}
declare function ButtonToolTip({ children, style, onClick, popupTitle, popupPlacement, ...props }: ButtonToolTipProps): import("react/jsx-runtime").JSX.Element;
export default ButtonToolTip;
