import { CSSProperties, KeyboardEvent } from 'react';
import { InputProps } from './Input';
interface EditableColumnProps extends Omit<InputProps, 'style' | 'value' | 'type'> {
    onSave?: (element: KeyboardEvent<HTMLInputElement>) => void;
    onEditStart?: (element: boolean) => void;
    type?: 'number' | 'text';
    editStatus?: boolean;
    value: string | number;
    style?: CSSProperties;
    validate?: (value?: string | number) => boolean;
    textOverFlowEllipses?: boolean;
}
declare const EditableColumn: import("react").ForwardRefExoticComponent<EditableColumnProps & import("react").RefAttributes<unknown>>;
export default EditableColumn;
