import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const styles = {
    header: {
        width: '100%',
        display: 'flex',
        flexDirection: 'row',
        justifyContent: 'space-between',
        borderBottom: '1px solid rgb(247, 247, 247)',
        boxShadow: 'rgb(255, 255, 255) 0px 1px 0px 0px inset',
    },
};
export function Header(props) {
    const { children, style: { leftStyle = {}, rightStyle = {}, containerStyle = {} } = {}, } = props;
    return (_jsxs("div", { style: { ...styles.header, ...containerStyle }, children: [_jsx("div", { style: leftStyle, children: children[0] }), _jsx("div", { style: rightStyle, children: children[1] })] }));
}
