/** @jsxImportSource @emotion/react */
import { HighlightEventSource } from '../../../highlight/index';
import { BaseRowStyle, TableContextMenuProps } from '../ReactTable';
export interface ClickEvent {
    onClick?: (event: Event, data: unknown) => void;
}
interface ReactTableRowProps extends ClickEvent, TableContextMenuProps {
    row: any;
    highlightedSource?: HighlightEventSource;
    isRowActive: boolean;
    rowStyle: BaseRowStyle | undefined;
    disableDefaultRowStyle?: boolean;
}
declare function ReactTableRow(props: ReactTableRowProps): import("@emotion/react/jsx-runtime").JSX.Element;
export default ReactTableRow;
