import { ReactElement } from 'react';
import { TabEvents, TabProps } from './Tab';
export declare enum PositionsEnum {
    TOP = "TOP",
    LEFT = "LEFT"
}
interface TabsProps extends TabEvents {
    children: Array<ReactElement<TabProps> | boolean>;
    activeTab: string;
    position?: PositionsEnum;
}
declare function Tabs({ children, onClick, position, onDelete, activeTab, }: TabsProps): import("@emotion/react/jsx-runtime").JSX.Element;
declare const _default: import("react").MemoExoticComponent<typeof Tabs>;
export default _default;
