import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useField } from 'formik';
import ErrorMessage from './ErrorMessage';
function Input(props) {
    const { onFocus = () => null, onBlur = () => null, enableErrorMessage, ...inputProps } = props;
    const [field] = useField(inputProps);
    return (_jsxs("div", { children: [_jsx("input", { ...field, ...props, onFocus: () => onFocus(field.name), onBlur: () => onBlur(field.name) }), enableErrorMessage ? _jsx(ErrorMessage, { ...inputProps }) : null] }));
}
export default Input;
