import { ScaleLinear } from 'd3';
interface BaseAxis {
    x: number;
    y: number;
}
interface ScaleAxis {
    scale: ScaleLinear<number, number>;
}
interface Vertical {
    height: number;
    showGrid?: false;
}
interface VerticalGrid {
    height: number;
    showGrid: true;
    width: number;
}
type VerticalAxisProps = BaseAxis & (Vertical | VerticalGrid) & ScaleAxis;
export declare function LinearVerticalAxis(props: VerticalAxisProps): import("react/jsx-runtime").JSX.Element;
export {};
