import { CSSProperties, ReactNode } from 'react';
type TransitionStyles = Record<string, Partial<{
    entering: CSSProperties;
    entered: CSSProperties;
    exiting: CSSProperties;
    exited: CSSProperties;
}>>;
interface TransitionProps {
    children: ReactNode;
    type: string;
    transitionStyles?: TransitionStyles;
}
export default function Transtion({ children, type, transitionStyles, ...props }: TransitionProps): import("react/jsx-runtime").JSX.Element;
export {};
