export declare const positions: {
    readonly TOP_LEFT: "top left";
    readonly TOP_CENTER: "top center";
    readonly TOP_RIGHT: "top right";
    readonly MIDDLE_LEFT: "middle left";
    readonly MIDDLE: "middle";
    readonly MIDDLE_RIGHT: "middle right";
    readonly BOTTOM_LEFT: "bottom left";
    readonly BOTTOM_CENTER: "bottom center";
    readonly BOTTOM_RIGHT: "bottom right";
};
export type Position = (typeof positions)[keyof typeof positions];
export declare const types: {
    readonly INFO: "info";
    readonly SUCCESS: "success";
    readonly ERROR: "error";
    readonly PROGRESS_INDICATOR: "progress_indicator";
};
export type Type = (typeof types)[keyof typeof types];
export declare const transitions: {
    readonly FADE: "fade";
    readonly SCALE: "scale";
    readonly SLIDE_RIGHT: "slide_right";
    readonly SLIDE_LEFT: "slide_left";
    readonly SLIDE_TOP: "slide_top";
    readonly SLIDE_BOTTOM: "slide_bottom";
};
export type Transition = (typeof transitions)[keyof typeof transitions];
