import { useChartData } from '../context/ChartContext';
import { useKeyModifiers } from '../context/KeyModifierContext';
export function useResizerStatus(toolKey) {
    const { toolOptions: { selectedTool }, } = useChartData();
    const { shiftKey } = useKeyModifiers();
    return !shiftKey && selectedTool === toolKey;
}
