import { Ranges, Zones } from 'nmr-processing';
import { DiaIDAndInfo } from 'openchemlib-utils';
import { MouseEvent } from 'react';
import { DisplayerMode } from '../../reducer/Reducer';
interface UseAtomAssignmentProps {
    displayerMode: DisplayerMode;
    activeTab: string;
    zones: Zones;
    ranges: Ranges;
}
export default function useAtomAssignment({ displayerMode, activeTab: nucleus, zones, ranges, }: UseAtomAssignmentProps): {
    handleOnAtomHover: (diaIDAndInfo: DiaIDAndInfo | undefined) => void;
    handleOnClickAtom: (diaIDAndInfo: DiaIDAndInfo | undefined, event: MouseEvent) => void;
    currentDiaIDsToHighlight: string[];
    assignedDiaIDsMerged: string[];
};
export {};
