/** @jsxImportSource @emotion/react */
/// <reference types="react" />
import { AssignmentsData } from '../../../assignment/AssignmentsContext';
import { RangeColumnProps } from '../RangesTableRow';
interface RemoveAssignmentsButtonProps {
    onUnlink?: (element: any, b: boolean) => void;
}
interface RangAssignmentColumnProps extends Omit<RangeColumnProps, 'format'>, RemoveAssignmentsButtonProps {
    assignment: AssignmentsData;
    highlight: {
        isActive: boolean;
    };
    onLink?: (a: any, b: any) => void;
    highlightData: any;
}
declare function RangeAssignmentsColumn({ row, assignment, highlight, onLink, onUnlink, rowSpanTags, onHover, highlightData, }: RangAssignmentColumnProps): import("@emotion/react/jsx-runtime").JSX.Element;
declare const _default: import("react").MemoExoticComponent<typeof RangeAssignmentsColumn>;
export default _default;
