/** @jsxImportSource @emotion/react */
import { MouseEvent } from 'react';
import { AssignmentsData } from '../../../assignment/AssignmentsContext';
import { OnHoverEvent, BaseRangeColumnProps } from '../RangesTableRow';
interface SignalAssignmentsColumnProps extends Omit<BaseRangeColumnProps, 'format'>, OnHoverEvent {
    assignment: AssignmentsData;
    highlight: {
        isActive: boolean;
    };
    onLink?: (a: MouseEvent, b: AssignmentsData) => void;
    onUnlink?: (element: MouseEvent, b: boolean) => void;
}
declare function SignalAssignmentsColumn({ row, onHover, assignment, highlight, onLink, onUnlink, }: SignalAssignmentsColumnProps): import("@emotion/react/jsx-runtime").JSX.Element;
declare const _default: import("react").MemoExoticComponent<typeof SignalAssignmentsColumn>;
export default _default;
