/** @jsxImportSource @emotion/react */
import { MouseEvent } from 'react';
import { AssignmentsData, Axis } from '../../../assignment/AssignmentsContext';
import { ZoneData } from '../hooks/useMapZones';
export interface ZoneAssignmentColumnProps {
    rowData: ZoneData;
    axis: any;
    onHover: () => void;
    onClick: (event: MouseEvent, assignment: AssignmentsData, axis: Axis) => void;
    onUnlink: (event: MouseEvent, flag: boolean, axis: Axis) => void;
    highlight: {
        isActive: any;
    };
    assignment: AssignmentsData;
    rowSpanTags: any;
}
declare function ZoneAssignmentColumn({ rowData, assignment, highlight, onHover, onClick, onUnlink, axis, rowSpanTags, }: ZoneAssignmentColumnProps): import("@emotion/react/jsx-runtime").JSX.Element;
export default ZoneAssignmentColumn;
