/** @jsxImportSource @emotion/react */
import { Axis } from '../../assignment/AssignmentsContext';
import { TableContextMenuProps } from '../../elements/ReactTable/ReactTable';
import { ZoneData } from './hooks/useMapZones';
interface ZonesTableRowProps extends TableContextMenuProps {
    rowData: ZoneData;
    onUnlink: (rowData: ZoneData, isOnZoneLevel: boolean, signalIndex: any, axis: Axis) => void;
    rowIndex: number;
    nucleus: string;
}
declare function ZonesTableRow({ rowData, onUnlink, contextMenu, onContextMenuSelect, rowIndex, nucleus, }: ZonesTableRowProps): import("@emotion/react/jsx-runtime").JSX.Element;
export default ZonesTableRow;
