import { jsx as _jsx } from "react/jsx-runtime";
import FormikColumnFormatField from '../../../elements/formik/FormikColumnFormatField';
import { NucleusGroup } from './NucleusGroup';
export function NucleusPreferences({ nucleus, fields, renderTop, renderBottom, }) {
    return (_jsx(NucleusGroup, { nucleus: nucleus, renderTop: renderTop, renderBottom: renderBottom, children: fields.map((field) => (_jsx(FormikColumnFormatField, { label: field.label, checkControllerName: field.checkControllerName &&
                `nuclei.${nucleus}.${field.checkControllerName}`, formatControllerName: field.formatControllerName &&
                `nuclei.${nucleus}.${field.formatControllerName}`, hideCheckField: field.hideCheckField, hideFormatField: field.hideFormatField, disableFormat: field.disableFormat }, field.id))) }));
}
