import { Draft } from 'immer';
import { AnalysisRow } from '../../../data/data1d/multipleSpectraAnalysis';
import { State } from '../Reducer';
import { ActionType } from '../types/ActionType';
type OrderSpectraAction = ActionType<'ORDER_MULTIPLE_SPECTRA_ANALYSIS', {
    data: AnalysisRow[];
}>;
export type SpectraAnalysisActions = OrderSpectraAction;
declare function handleOrderSpectra(draft: Draft<State>, action: OrderSpectraAction): void;
export { handleOrderSpectra };
