interface ReferenceInfo {
    from: number;
    to: number;
    nbPeaks: number;
    delta: number;
}
export type OneHReferences = 'tms' | 'tsp' | 'glucose';
export declare const REFERENCES: Record<'1H', Record<OneHReferences, ReferenceInfo>> | Record<'13C', any>;
export interface GetRangeOptions {
    nucleus?: string;
    reference?: string;
}
export declare function getRange(options?: GetRangeOptions): ReferenceInfo;
export {};
