import { Spectrum1D } from 'nmr-load-save';
import { NMRRange } from 'nmr-processing';
import { UsedColors } from '../../../../types/UsedColors';
export interface ResurrectSpectrumInfo {
    nucleus: string;
    solvent: string;
    name?: string;
    frequency?: number;
    color?: string;
}
export declare function generateSpectrumFromRanges(ranges: NMRRange[], info: ResurrectSpectrumInfo, usedColors: UsedColors): Spectrum1D | undefined;
