import merge from 'lodash/merge';
import { mapRanges } from 'nmr-processing';
export function initiateRanges(inputSpectrum, spectrum, options) {
    return merge({
        values: [],
        options,
    }, {
        values: mapRanges(inputSpectrum?.ranges?.values || [], spectrum),
    });
}
