import type { Spectrum1D, Spectrum2D } from 'nmr-load-save';
import { TraceDirection } from '../../../component/reducer/Reducer';
/** get 2d projection
 * @param {number} x in ppm
 * @param {number} y in ppm
 */
interface SlicePosition {
    x: number;
    y: number;
}
interface SliceOptions {
    sliceType?: 'real' | 'imaginary' | 'both';
}
export declare function getSlice(spectrum: Spectrum2D, position: SlicePosition, options?: SliceOptions): Record<TraceDirection, Spectrum1D> | undefined;
export {};
