export default function generateNumbersPowerOfX(start, end, options) {
    const { power = 2, format = formatNumber } = options || {};
    const values = [];
    for (let i = start; i <= end; i++) {
        const result = power ** i;
        values.push({
            label: format(result),
            value: result,
        });
    }
    return values;
}
function formatNumber(number) {
    if (number >= 1024 * 1024) {
        return `${number / (1024 * 1024)}M`;
    }
    else if (number >= 1024) {
        return `${number / 1024}K`;
    }
    else {
        return `${number}`;
    }
}
